summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-02-23 08:34:00 +0100
committerAlexis Ballier <aballier@gentoo.org>2017-02-23 10:15:48 +0100
commit02a8ac3f131a8296bdb16c767689e92469a734d2 (patch)
treea9f8aa4c02077e5791becc3887a5019994d7cfc5 /dev-ml/alcotest
parentdev-ml/astring: initial import; ebuild by me. (diff)
downloadgentoo-02a8ac3f131a8296bdb16c767689e92469a734d2.tar.gz
gentoo-02a8ac3f131a8296bdb16c767689e92469a734d2.tar.bz2
gentoo-02a8ac3f131a8296bdb16c767689e92469a734d2.zip
dev-ml/alcotest: initial import; ebuild by me.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-ml/alcotest')
-rw-r--r--dev-ml/alcotest/Manifest1
-rw-r--r--dev-ml/alcotest/alcotest-0.7.2.ebuild44
-rw-r--r--dev-ml/alcotest/metadata.xml8
3 files changed, 53 insertions, 0 deletions
diff --git a/dev-ml/alcotest/Manifest b/dev-ml/alcotest/Manifest
new file mode 100644
index 00000000000..9a585ee2ca5
--- /dev/null
+++ b/dev-ml/alcotest/Manifest
@@ -0,0 +1 @@
+DIST alcotest-0.7.2.tar.gz 24781 SHA256 75eac2c9b9c1f9e07d8c4de43ba8e852bd59ef1d7d322cd9c036a075335ef472 SHA512 3448c7d82c200f0cf2ac97f7f49060c350c0719124b24079b5babb48b1d3e0b0508ada0b273e1963dc07dc4cc072b0a589096c39b8b6d8a4adf7e011418dd4a3 WHIRLPOOL d1345d9c3481663fa29d99cf8483bc2e11251a088bd589472eb83f8483b7b3db6130098560de7cb3d00f0741c68c0d0060ae0b602a8f2af51950c0199b0ee612
diff --git a/dev-ml/alcotest/alcotest-0.7.2.ebuild b/dev-ml/alcotest/alcotest-0.7.2.ebuild
new file mode 100644
index 00000000000..8b176af1f7e
--- /dev/null
+++ b/dev-ml/alcotest/alcotest-0.7.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="A lightweight and colourful test framework"
+HOMEPAGE="https://github.com/mirage/alcotest/"
+SRC_URI="https://github.com/mirage/alcotest/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+ dev-lang/ocaml:=[ocamlopt]
+ dev-ml/fmt:=
+ dev-ml/astring:=
+ dev-ml/cmdliner:=
+ dev-ml/result:=
+"
+DEPEND="${RDEPEND}
+ dev-ml/opam
+ dev-ml/topkg
+ dev-ml/ocamlbuild
+ dev-ml/findlib"
+
+src_compile() {
+ ocaml pkg/pkg.ml build --tests $(usex test true false) || die
+}
+
+src_test() {
+ ocaml pkg/pkg.ml test || die
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ ${PN}.install || die
+ dodoc CHANGES.md README.md
+}
diff --git a/dev-ml/alcotest/metadata.xml b/dev-ml/alcotest/metadata.xml
new file mode 100644
index 00000000000..ffac4d7ebc0
--- /dev/null
+++ b/dev-ml/alcotest/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>Gentoo ML Project</name>
+</maintainer>
+</pkgmetadata>